<?php
/***************************************\
|			PHP OPTIMISATEUR			|
|		Plugin Front2Back Support		|
\***************************************/

## Déplace les versions alternatives dans 'thumbnail/verso'
## Crée la version alternative hd dans 'pwg_high/verso'
## Supprime le suffixe et déplace aussi les fichiers du repertoire source

# PluginsProcess => 'front2back_support' => array('active' => true, 'NAMEverso' => '_verso')

$NAMEverso = $PluginsProcess['front2back_support']['NAMEverso']; // Suffixe des versions alternatives
$MOVEverso = $PluginsProcess['front2back_support']['MOVEverso']; // Déplacer les images originales dans un sous dosssier 'verso'

if (strpos($matches[2], $NAMEverso) !== false) {
	$matches[3] = str_replace($NAMEverso, '', $matches[2]);
	# matches[3] = fichier sans verso
	
	// Image normale
	if (!file_exists($matches[1].'/thumbnail/verso')) {
		mkdir($matches[1].'/thumbnail/verso');
	}
	exec('nconvert.exe -q '.$Qnormal.' -out jpeg -o "'.$matches[1].'/thumbnail/verso/'.$matches[3].'" -dpi 72 -ratio -rtype lanczos -resize '.$DIMnormal.' '.$DIMnormal.' '.$copyNormal.' "'.$FilesSource[$i].'"');
	
	// Image hd
	if ($DIRhighORNOT) {
		if (!file_exists($matches[1].'/pwg_high/verso')) {
			mkdir($matches[1].'/pwg_high/verso');
		}
		if ($DIMhdORNOT) {
			exec('nconvert.exe -q '.$Qhd.' -out jpeg -o "'.$matches[1].'/pwg_high/verso/'.$matches[3].'" -dpi '.$DPI.' -ratio -rtype lanczos -rflag decr -resize '.$DIMhd.' '.$DIMhd.' '.$copyHD.' "'.$FilesSource[$i].'"');
		} else {
			copy($FilesSource[$i], $matches[1].'/pwg_high/verso/'.$matches[3]);
		}
	}
	
	// Déplacement de l'image originale
	if ($MOVEverso) {
		$matches[4] = str_replace(substr($DIRsortie,0,-1), substr($DIRsource,0,-1), $matches[1]);
		# matches[4] = dossier source
		if (!file_exists($matches[4].'/verso')) {
			mkdir($matches[4].'/verso', 0777, true);
		}
		rename($matches[4].'/'.$matches[2], $matches[4].'/verso/'.$matches[3]);
	}
	
	$BlockNormal = true;
	$BlockThumbnail = true;
	$BlockHigh = true;
}
?>